com.amazonaws.services.codecommit.model

## Class ListRepositoriesRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codecommit.model.ListRepositoriesRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class ListRepositoriesRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a list repositories operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`ListRepositoriesRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListRepositoriesRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()` An enumeration token that allows the operation to batch the results of the operation.
`String` `getOrder()` The order in which to sort the results of a list repositories operation.
`String` `getSortBy()` The criteria used to sort the results of a list repositories operation.
`int` `hashCode()`
`void` `setNextToken(String nextToken)` An enumeration token that allows the operation to batch the results of the operation.
`void` `setOrder(OrderEnum order)` The order in which to sort the results of a list repositories operation.
`void` `setOrder(String order)` The order in which to sort the results of a list repositories operation.
`void` `setSortBy(SortByEnum sortBy)` The criteria used to sort the results of a list repositories operation.
`void` `setSortBy(String sortBy)` The criteria used to sort the results of a list repositories operation.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListRepositoriesRequest` `withNextToken(String nextToken)` An enumeration token that allows the operation to batch the results of the operation.
`ListRepositoriesRequest` `withOrder(OrderEnum order)` The order in which to sort the results of a list repositories operation.
`ListRepositoriesRequest` `withOrder(String order)` The order in which to sort the results of a list repositories operation.
`ListRepositoriesRequest` `withSortBy(SortByEnum sortBy)` The criteria used to sort the results of a list repositories operation.
`ListRepositoriesRequest` `withSortBy(String sortBy)` The criteria used to sort the results of a list repositories operation.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListRepositoriesRequest

    public ListRepositoriesRequest()

### Method Detail

#### setNextToken

    public void setNextToken(String nextToken)

An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

Parameters:
  `nextToken` - An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

#### getNextToken

    public String getNextToken()

An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

Returns:
  An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

#### withNextToken

    public ListRepositoriesRequest withNextToken(String nextToken)

An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.

Parameters:
  `nextToken` - An enumeration token that allows the operation to batch the results of the operation. Batch sizes are 1,000 for list repository operations. When the client sends the token back to AWS CodeCommit, another page of 1,000 records is retrieved.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSortBy

    public void setSortBy(String sortBy)

The criteria used to sort the results of a list repositories operation.

Parameters:
  `sortBy` - The criteria used to sort the results of a list repositories operation.
See Also:
  `SortByEnum`

#### getSortBy

    public String getSortBy()

The criteria used to sort the results of a list repositories operation.

Returns:
  The criteria used to sort the results of a list repositories operation.
See Also:
  `SortByEnum`

#### withSortBy

    public ListRepositoriesRequest withSortBy(String sortBy)

The criteria used to sort the results of a list repositories operation.

Parameters:
  `sortBy` - The criteria used to sort the results of a list repositories operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortByEnum`

#### setSortBy

    public void setSortBy(SortByEnum sortBy)

The criteria used to sort the results of a list repositories operation.

Parameters:
  `sortBy` - The criteria used to sort the results of a list repositories operation.
See Also:
  `SortByEnum`

#### withSortBy

    public ListRepositoriesRequest withSortBy(SortByEnum sortBy)

The criteria used to sort the results of a list repositories operation.

Parameters:
  `sortBy` - The criteria used to sort the results of a list repositories operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `SortByEnum`

#### setOrder

    public void setOrder(String order)

The order in which to sort the results of a list repositories operation.

Parameters:
  `order` - The order in which to sort the results of a list repositories operation.
See Also:
  `OrderEnum`

#### getOrder

    public String getOrder()

The order in which to sort the results of a list repositories operation.

Returns:
  The order in which to sort the results of a list repositories operation.
See Also:
  `OrderEnum`

#### withOrder

    public ListRepositoriesRequest withOrder(String order)

The order in which to sort the results of a list repositories operation.

Parameters:
  `order` - The order in which to sort the results of a list repositories operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `OrderEnum`

#### setOrder

    public void setOrder(OrderEnum order)

The order in which to sort the results of a list repositories operation.

Parameters:
  `order` - The order in which to sort the results of a list repositories operation.
See Also:
  `OrderEnum`

#### withOrder

    public ListRepositoriesRequest withOrder(OrderEnum order)

The order in which to sort the results of a list repositories operation.

Parameters:
  `order` - The order in which to sort the results of a list repositories operation.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `OrderEnum`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListRepositoriesRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`